## foomatic-db 20100630

=== debian/changelog ===
foomatic-db (20100630-1) unstable; urgency=low

  * New upstream release
    (Closes: #580351)

  * Merge from Ubuntu: 
    - postinst's: PPD auto updaters:
      "If the package is updated, it is checked whether existing
       queues use PPDs of this package and if yes, the PPDs get
       updated." (Till)
      Closes: #370335, #437309
    - Split openprinting-ppds into {,-extra}
    - Link the PPD files in the foomatic database
    - Rewrite some descriptions, shorten others.
    - Merge most of the package relationships.
    - Install the apport hook on Ubuntu
    - Remove non-PPD files from the repository, Closes: #546784
    - Remove entries for non-existing drivers.
    - Fix common errors in PPDs that make CUPS choke, Closes: #493104

  * Add myself to Uploaders as I'll help Chris in maintaining foomatic-db.
  * Convert to 3.0 (quilt) source format.
  * Convert to tiny dh7 style.
  * Add misc:Depends.
  * debian/watch: update.
  * Add Vcs-* fields with new packaging repository.
  * Compress PPDs with gzip --best
  * Merge Till's changelog entries.
  * Update README.Debian.
  * Bump Standards to 3.9.0.0 - Rework some Conflicts/Replaces/Breaks.

 -- Didier Raboud <didier@raboud.com>  Wed, 30 Jun 2010 14:18:57 +0200

foomatic-db (20100216-0ubuntu3) lucid; urgency=low

  * debian/patches/halftoning-algorithm.patch: Fixed command line code fields
    which got truncated by hosting the OpenPrinting database in a MySQL
    database on the server (LP: #541690).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 26 Mar 2010 13:05:03 +0100

foomatic-db (20100216-0ubuntu2) lucid; urgency=low

  * debian/patches/fix-margins-in-inches.patch: Fixed margin definitions in
    several Foomatic XML files. The unit setting got lost when the margins
    were given in inches (LP: #529279).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Mar 2010 13:20:03 +0100

foomatic-db (20100216-0ubuntu1) lucid; urgency=low

  * New upstream release
     - Removed ugly Perl workarounds to implement paper input tray selection
       for the PCL 4/5/5e/5c/6/XL Ghostscript drivers. Paper tray selection is
       fixed in GhostScript for some time already.
     - Removed explicit supply of PJL commands for setting the resolution
       with the PCL 6/XL Ghostscript drivers. This is fixed in Ghostscript
       for some time.
     - Set the resolution of the draft model of the PCL 6/XL Ghostscript drivers
       to 600 dpi, some printers, like the HP LaserJet 3390, do not print
       correctly with 300 dpi in PCL-XL mode.
     - Removed workaround against crashes of the "bjc600" and "bjc800" drivers
       when PDF is used as input. This is also fixed in Ghostscript for some 
       time.
     - Fixed PIN option of the "hl7x0" driver, it had no long name (menu
       entry string) for the "None" setting.
     - Added the Brother PT-2300 label printer.
  * debian/patches/bjc600-bjc800.patch: Removed, applied upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 16 Feb 2010 20:25:03 +0100

foomatic-db (20100215-0ubuntu1) lucid; urgency=low

  * New upstream release
     - New printer models supported: Kyocera CS-C2525E, CS-C3225E, CS-C3232E,
       CS-C4035E, CS 250ci, CS 300ci, CS 400ci, CS 500ci, FS-C5100DN,
       FS-C5200DN, FS-C5300DN, FS-C5350DN, FS-C5400DN, FS-C8100DN+, KM-C2525E,
       KM-C3225E, KM-C3232E, KM-C4035E, TASKalfa 250ci, 300ci, 400ci,
       HP LaserJet 1022n, 1022nw, P4014, P4015, P2055dn,
       Lexmark C540, C543, C544, C546, C734, C736, C780, C782, C930, C935,
       E260, E260d, E260dn, E360d, E360dn, E460dn, E460dw, E462dtn, EG460dn,
       T650, T652, T654, T656, TG654, W850, X203n, X204n, X264dn, X363dn,
       X364dn, X364dw, X463de, X464de, X466de, X466dte, X466dwe, X543, X544,
       X546, X651de, X652de, X654de, X656de, X658de, X734de, X736de, X738de,
       X860de, X862de, X864de, X940e, X945e
     - Canon LBP-3360 needs "hpijs-pcl5e" instead of "pxlmono" as driver
       (LP: #504841).
     - Added "n" and "nw" version of HP LaserJet 1022, to make printer setup
       tools set them up with "foo2zjs" (LP: #250872).
     - Samsung CLP-610ND needs "splix" instead of "pxlcolor" as driver
       (LP: #505423, LP: #510832).
     - Added license info to the PostScript PPDs from KONICA MINOLTA.
     - Lexmark's PostScript PPDs are free software and therefore included in
       the foomatic-db upstream source package now.
     - Generic PCL 6/PCL XL printer works also with the "hpijs-pcl5c" driver.
     - Oki B6300 works as PCL-XL printer.
     - Corrected OrderDependency numbers for the JCL options so that the JCL
       code is definitely inserted in the correct order (LP: #442451).
     - Removed "*cupsFilter" line for Apple from the ready-made PPDs, it causes
       problems with some printers on Mac OS X.
     - Renamed printer entries: HP Color LaserJet 8550GN -> 8550, HP LaserJet
       2055 -> P2055d.
     - Removed HP's PostScript PPD files as they are supplied and maintained
       in HPLIP.
     - Major XML clean-up.
     - Updated and completed the documentation of the Foomatic XML format in
       the README file.
  * debian/patches/remove-redundant-hp-ppds.patch,
    debian/patches/kyocera-ppd-jcl-fix.patch: Removed, applied upstream.
  * debian/patches/bjc600-bjc800.patch: Regenerated.
  * debian/control: Added "Provides: foomatic-db-hpijs" (LP: #491287).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Feb 2010 18:37:31 +0100

foomatic-db (20090825-0ubuntu4) karmic; urgency=low

  * debian/patches/kyocera-ppd-jcl-fix.patch: Corrected OrderDependency
    numbers for the JCL options so that the JCL code is definitely inserted
    in the correct order (LP: #442451).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 09 Oct 2009 00:53:23 +0200

foomatic-db (20090825-0ubuntu3) karmic; urgency=low

  * debian/foomatic-db.postinst, debian/openprinting-ppds.postinst,
    debian/openprinting-ppds-extra.postinst: Fixed "lpstat -r" check for the

