=== debian/control ===
Source: foomatic-db
Section: text
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>> 7.0.50)
Homepage: http://www.openprinting.org/
Vcs-Git: git://git.debian.org/collab-maint/foomatic-db.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/foomatic-db.git
Standards-Version: 3.9.0.0

Package: foomatic-db
Architecture: all
Depends: ${misc:Depends}
Recommends: foomatic-db-engine, foomatic-filters (>= 4.0), ghostscript, cups, cups-client, min12xxw, hpijs, pnm2ppa
Suggests: cups-driver-gutenprint | foomatic-db-gutenprint, hplip, hplip-cups, foo2zjs, splix, m2300w, pxljr, ghostscript-cups, openprinting-ppds, openprinting-ppds-extra, cjet
Breaks: foomatic-filters (<< 4.0)
Replaces: foomatic-db-hpijs
Provides: foomatic-db-hpijs
Conflicts: foomatic-db-hpijs
Description: OpenPrinting printer support - database
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the "glue" between a print spooler (like CUPS or lpr) and
 your actual printer, by telling your computer how to process files
 sent to the printer.
 .
 This package contains the printer database distributed by
 OpenPrinting for most common drivers.  You will probably need
 the foomatic-db-engine package for this package to be useful.

Package: openprinting-ppds
Architecture: all
Depends: ${misc:Depends}
Recommends: cups, cups-client
Suggests: hpijs-ppds
Replaces: linuxprinting.org-ppds, hp-ppd (<= 0.5)
Breaks: hp-ppd (<= 0.5)
Provides: linuxprinting.org-ppds
Conflicts: linuxprinting.org-ppds
Description: OpenPrinting printer support - PostScript PPD files
 This package includes a collection of free PostScript Printer Description
 files for PostScript (and clone) printers from various manufacturers, as
 distributed by OpenPrinting.
 .
 If you have non-PostScript printers, the foomatic-db, foomatic-db-engine,
 hplip, gutenprint or splix packages are the ones you need; this package
 won't be of much help to you.
 .
 Some manufacturers distribute PPD files for their printers under
 non-free licenses; those are not included in this package, but may be
 available from the manufacturer's website, included on a CD or
 other media with the printer, or downloadable from the OpenPrinting
 web site (even automatically if the printer setup tool supports it).

Package: openprinting-ppds-extra
Architecture: all
Depends: ${misc:Depends}
Recommends: foomatic-filters, cups, cups-client
Replaces: linuxprinting.org-ppds-extra, hp-ppd (<= 0.5), openprinting-ppds (<< 20100529-1)
Breaks: hp-ppd (<= 0.5), openprinting-ppds (<< 20100529-1)
Provides: linuxprinting.org-ppds-extra
Conflicts: linuxprinting.org-ppds-extra 
Description: OpenPrinting printer support - Extra PostScript PPD files
 This package includes a collection of free PostScript Printer Description
 files for PostScript (and clone) printers from various manufacturers, as
 distributed by OpenPrinting.
 .
 These are additional PostScript printer PPDs for not so common printers,
 especially bigger high-end devices.
