## foomatic-db 20100915

=== debian/changelog ===
foomatic-db (20100915-0ubuntu4) maverick; urgency=low

  * debian/local/pyppd/pyppd/ppd.py: Fixed PPD file list generated by the
    compressed PPD file archive for the PostScript PPDs. The artificial
    device IDs generated for PPDs without *1284DeviceID: entry lead to wrong
    assumptions when system-config-printer selects the driver for a detected
    printer (LP: #653814).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  5 Oct 2010 11:48:03 +0200

foomatic-db (20100915-0ubuntu3) maverick; urgency=low

  * debian/local/pyppd/pyppd/: Updated to pyppd 0.4.9, to suppress runtime
    error tracebacks by putting a "try: ... except ...: pass" construct around
    the main function call. This avoids Apport pop-ups when the execution of the
    self-extracting compressed PPD file archives gets stopped by the calling
    process (LP: #618017).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 22 Sep 2010 12:25:03 +0200

foomatic-db (20100915-0ubuntu2) maverick; urgency=low

  * debian/local/pyppd/pyppd/ppd.py, debian/local/pyppd/pyppd/pyppd-ppdfile.in:
    Let the compressed PPD archives not contain duplicate PPD URIs, even if the
    lines reference the same PPD. Most printer setup tools cannot cope with
    duplicate PPD URIs.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Sep 2010 21:58:03 +0200

foomatic-db (20100915-0ubuntu1) maverick; urgency=low

  * New upstream release
     - Update of all Ricoh and OEM PPD files by Ricoh, to introduce CMD:
       fields in the PPD's device IDs so that printer setup tools can select
       the PPDs by page description language (PCL or PostScript).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Sep 2010 13:30:03 +0200

foomatic-db (20100910-0ubuntu1) maverick; urgency=low

  * New upstream release
     - Renamed the printers Toshiba GL-1010 and GL-1020 so that their
       names match the names in the manufacturer-supplied PPD files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 10 Sep 2010 17:00:03 +0200

foomatic-db (20100906-0ubuntu1) maverick; urgency=low

  * New upstream release
     - Added Brother MFC-7840N/W printers (LP: #560518).
     - Added PCL driver support for all Sharp printers which were listed as
       only working via PostScript. For these printers PostScript is also
       an optional add-on and therefore one should be able to also set them
       up in PCL mode. The PCL mode will also be the recommended driver
       to assure that automatic setup of the printer works also if it has
       no PostScript module (LP: #378475).
  * debian/patches/hl-2170w-pcl5e.patch: Removed patch with upstream fixes.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  6 Sep 2010 20:15:03 +0200

foomatic-db (20100806-0ubuntu7) maverick; urgency=low

  * debian/patches/hl-2170w-pcl5e.patch: Changed drivers for the Brother
    HL-2170W, the printer works only in the PCL-5e mode, not with PCL-XL
    (LP: #570027).
  * debian/control, debian/rules, debian/foomatic-db-compressed-ppds.postinst:
    Introduced the binary package foomatic-db-compressed-ppds. This package
    contains all PPDs which can be generated from the Foomatic XML database
    in one compressed pyppd archive. This takes much less disk space than the
    XML database (600 kB vs. 18 MB) and access (listing all PPDs, extracting
    the needed PPD) is also significantly faster.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 30 Aug 2010 18:15:03 +0200

foomatic-db (20100806-0ubuntu6) maverick; urgency=low

  * debian/control, debian/rules, debian/openprinting-ppds-extra.install,
    debian/openprinting-ppds-extra.postinst, debian/openprinting-ppds.install:
    Merged the binary packages openprinting-ppds and openprinting-ppds-extra.
    The splitting was formerly introduced to save space on the Ubuntu Desktop
    CD. The new PPD compression saves much more space and allows to put the
    PPDs from openprinting-ppds-extra back onto the CD. So now the splitting
    does nothing more than making maintenance of this package more complicated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 12 Aug 2010 09:13:03 +0200

foomatic-db (20100806-0ubuntu5) maverick; urgency=low

  * debian/control: Added build and runtime dependencies for the PPD archiving
    and extracting.
  * debian/rules: Let build process error out if PPD archiving errors out.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Aug 2010 09:57:03 +0200

foomatic-db (20100806-0ubuntu4) maverick; urgency=low

  * debian/local/pyppd/pyppd/ppd.py: The PPD compressor did not parse the
    PPD correctly and confused ShortNickName and NickName, ending up with
    the PPD listing showing the ShortNickName entries and therefore being
    incompatible with the old uncompressed PPDs.
  * debian/foomatic-db.links, debian/foomatic-db.dirs: Removed, the directory
    /usr/share/ppd/openprinting and the link to
    /usr/share/foomatic/db/source/PPD are not needed any more as there are no
    physical PPD files in the package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Aug 2010 00:32:03 +0200

foomatic-db (20100806-0ubuntu3) maverick; urgency=low

  * debian/local/pyppd/, debian/rules, debian/control: Compressed all physical
    PPD files of the openprinting-ppds and openprinting-ppds-extra packages
    into archive files reducing the disk space occupation by a factor of 10,
    freeing several tens of megabytes on the Ubuntu Desktop CDs (or on any live
    CD based on Debian or a derivative distribution). The archives are self-
    extracting and located in /usr/lib/cups/driver/, so that CUPS automatically
    extracts the PPD files. Thank you very much to Vitor Baptista who developed
    this great PPD compressor in the Google Summer of Code 2010.
  * debian/openprinting-ppds.postinst, debian/openprinting-ppds-extra.postinst:
    Updated auto updater for the PPDs of the already existing print queues to
    work with the new PPD archives.


