=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,14 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/mygzip
+	rm -f debian/local/pyppd/*/*.pyc
+	rm -f debian/local/pyppd/pyppd-ppdfile
+	rm -rf foomatic
 
 override_dh_install:
-	# Some files have executable bit set.
+	# Some files have the executable bit set.
 	find debian/tmp/ -executable -type f -print0 | xargs -0 chmod -x
-	
+
 	# Remove non-PPD files from PPD repositories, CUPS 1.4 reports errors
 	# on these files.
 	find $(CURDIR)/debian/tmp/usr/share/foomatic/db/source/PPD -type f \! -name '*.ppd.gz' -print0 | xargs -0 rm
@@ -40,8 +43,27 @@
 	# Fix common errors in PPDs that make CUPS choke (OpenPrinting
 	# bug #164, Debian bug #493104)
 	for f in `find $(CURDIR)/debian/tmp/usr/share/foomatic/db/source/PPD -name '*.ppd.gz'`; do gzip -cd $$f | perl -p -e 's/^\*CloseUI(\s+)/*CloseUI:\1/' | perl -p -e 's/\*1284DeviceId/*1284DeviceID/' | gzip --best>  $$f.tmp; rm $$f; mv $$f.tmp $$f; done
-	
+
 	dh_install --list-missing
+
+	# Pre-build PPD files for foomatic-db-compressed-ppds
+	FOOMATICDB=$(CURDIR)/debian/foomatic-db/usr/share/foomatic foomatic-compiledb -j 16 -t ppd -d $(CURDIR)/foomatic `ls -1 $(CURDIR)/debian/foomatic-db/usr/share/foomatic/db/source/driver/*.xml | perl -p -e 's:^.*db/source/driver/(\S*)\.xml\s*$$:\1\n:'`
+
+	# Compress the PPD files with Vitor Baptista's pyppd PPD
+	# archiving tool. This makes the space needed for PPDs at least
+	# 10 times smaller.
+	(cd debian/local/pyppd/ && \
+	  PYTHONPATH=. bin/pyppd $(CURDIR)/debian/openprinting-ppds/usr/share/ppd/openprinting && \
+	  install -D -m 755 pyppd-ppdfile $(CURDIR)/debian/openprinting-ppds/usr/lib/cups/driver/openprinting-ppds && \
+	  rm -rf $(CURDIR)/debian/openprinting-ppds/usr/share/ppd && \
+	  rm -f pyppd-ppdfile && \
+	  PYTHONPATH=. bin/pyppd $(CURDIR)/foomatic && \
+	  install -D -m 755 pyppd-ppdfile $(CURDIR)/debian/foomatic-db-compressed-ppds/usr/lib/cups/driver/foomatic-db-compressed-ppds && \
+	  rm -rf $(CURDIR)/foomatic && \
+	  rm -f pyppd-ppdfile && \
+	  rm -f */*.pyc \
+	)
+
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foomatic-db/usr/share/apport/package-hooks/source_foomatic-db.py
