## foomatic-db 20110317

=== debian/changelog ===
foomatic-db (20110317-0ubuntu1) natty; urgency=low

  * New upstream release
     - Added custom page size to the most-used PageSize option entries, so
       that most Foomatic-generated PPD files get the possibility to select
       a custom page size. We do this as we do not know the complete sets of
       possible page sizes for most printers and probably many actually allow
       custom page sizes by hardware (LP: #726397).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 17 Mar 2011 17:47:03 +0100

foomatic-db (20110218-0ubuntu1) natty; urgency=low

  * New upstream release
     - Added support for new printers from Lexmark and Epson.
     - Corrected some Epson printer entries.
     - Corrected all PPD files from Ricoh and OEM: Renamed 11x17 to Tabloid
       and HalfLetter to Statement, adapted naming scheme of installable
       options to CUPS, hardware collate for PCL-XL mode.
     - Corrected graphics and photo quality rating in the PCL-XL driver
       entries for Ricoh and OEM printers.
     - Added/corrected lots of device IDs for HP printers.
     - Removed unneeded executable bits from PPD files (Upstream bug #606).
     - General clean-up of the build system (Upstream bugs #609, #610, #611).
     - Fixed typos in README file (Upstream bug #608).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 18 Feb 2011 17:23:03 +0100

foomatic-db (20110209-1) unstable; urgency=low

  * New 20110209 upstream release, to unstable.

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Feb 2011 17:08:55 +0100

foomatic-db (20110127-1) experimental; urgency=low

  * New 20110127 upstream release
  
  * Merge back from Ubuntu natty:
    [ Till Kamppeter ]
    - Merged openprinting-ppds and openprinting-ppds-extra.
    - Introduced new binary package foomatic-db-compressed-ppds, a 600K
      compressed archive of all Foomatic-generated PPDs, replacing 18M of
      Foomatic XML data.
    - Suggest also printer drivers which are in Ubuntu Universe, let
      foomatic-db-compressed-ppds require CUPS, as the compressed archive is
      not of much use without CUPS.
    [ Didier Raboud ]
    - Use the external pyppd.

  [ Didier Raboud ]
  * Add line-breaks to fields in debian/control for better change-
    following.
  * debian/rules: Don't fail on non-applicable fixes.
  * Update package relationships.
  * Get rid of pre-stable versioned conflicts against hp-ppd.
  * Document the transitional "Provides"
  * Make -compressed-ppds provide foomatic-db too.
  * Document foomatic-filters.
  * Add misc:Depends to -extra.
  * Add python Depends to packages containing pyppd archives.
  * Bump Standards to 3.9.1 without changes needed.
  * Use my @d.o address.

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Jan 2011 23:13:30 +0100

foomatic-db (20101217-0ubuntu2) natty; urgency=low

  * debian/control: Versioned conflict of openprinting-ppds-extra with
    openprinting-ppds. Otherwise openprinting-ppds-extra is not installable.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Jan 2010 10:12:03 +0100

foomatic-db (20101217-0ubuntu1) natty; urgency=low

  * New upstream release
     - Added new PostScript printers and PPDs from Epson and Brother.
     - Added database entries for the PPDs of Epson's Japanese market
       printers.
     - Corrected the translation lines of Lexmark's PostScript PPDs to
       comply with the specs.
     - Renamed printers from Epson and Sharp so that their names match
       the names in the manufacturer-supplied PPD files.
     - Forced the "eplaser" and "eplaser-jp" drivers to feed Ghostscript
       only with PostScript input as these drivers have problems with PDF.
     - Added documentation for job parameter entities in Foomatic PPD files
       to the README file.
     - Fixed default PageSize choice of "necp2xX.upp" driver.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 17 Dec 2010 14:22:03 +0100
