=== debian/control ===
--- 
+++ 
@@ -2,19 +2,41 @@
 Section: text
 Priority: optional
 Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
-Uploaders: Chris Lawrence <lawrencc@debian.org>, Didier Raboud <didier@raboud.com>
-Build-Depends: debhelper (>> 7.0.50), xz-utils, python-all-dev, foomatic-db-engine (>= 4.0.5-0ubuntu5)
+Uploaders: Chris Lawrence <lawrencc@debian.org>, Didier Raboud <odyx@debian.org>
+Build-Depends: debhelper (>> 7.0.50),
+               pyppd,
+               foomatic-db-engine (>= 4.0.5-0ubuntu5)
 Homepage: http://www.openprinting.org/
 Vcs-Git: git://git.debian.org/collab-maint/foomatic-db.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/foomatic-db.git
-Standards-Version: 3.9.0.0
+Standards-Version: 3.9.1.0
 
 Package: foomatic-db
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: foomatic-db-engine, foomatic-filters (>= 4.0), ghostscript, cups, cups-client, min12xxw, hpijs, pnm2ppa
-Suggests: cups-driver-gutenprint | foomatic-db-gutenprint, hplip, hplip-cups, foo2zjs, splix, m2300w, pxljr, ghostscript-cups, openprinting-ppds, openprinting-ppds-extra, cjet, c2050, ptouch-driver
+Recommends: foomatic-db-engine,
+            foomatic-filters (>= 4.0),
+            ghostscript,
+            cups, cups-client,
+            min12xxw,
+            hpijs,
+            pnm2ppa
+Suggests: cups-driver-gutenprint | foomatic-db-gutenprint,
+          hplip,
+          hplip-cups,
+          foo2zjs,
+          splix,
+          m2300w,
+          pxljr,
+          ghostscript-cups,
+          openprinting-ppds,
+          cjet,
+          c2050,
+          ptouch-driver
 Breaks: foomatic-filters (<< 4.0)
+# foomatic-db-hpijs:
+# Debian: was in Lenny, can be removed in Wheezy
+# Ubuntu: was in Jaunty, can be removed in Lucid + 1 LTS
 Replaces: foomatic-db-hpijs
 Provides: foomatic-db-hpijs
 Conflicts: foomatic-db-hpijs
@@ -31,10 +53,33 @@
 
 Package: foomatic-db-compressed-ppds
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, xz-utils, foomatic-filters (>= 4.0), ghostscript, cups, cups-client
-Recommends: min12xxw, hpijs, pnm2ppa
-Suggests: cups-driver-gutenprint, hplip, hplip-cups, foo2zjs, splix, m2300w, pxljr, ghostscript-cups, openprinting-ppds, openprinting-ppds-extra, cjet, c2050, ptouch-driver
+Depends: ${misc:Depends},
+         python,
+         xz-utils
+Recommends: foomatic-db-engine,
+            foomatic-filters (>= 4.0),
+            ghostscript,
+            cups, cups-client,
+            min12xxw,
+            hpijs,
+            pnm2ppa
+Suggests: cups-driver-gutenprint | foomatic-db-gutenprint,
+          hplip,
+          hplip-cups,
+          foo2zjs,
+          splix,
+          m2300w,
+          pxljr,
+          ghostscript-cups,
+          openprinting-ppds,
+          cjet,
+          c2050,
+          ptouch-driver
+# foomatic-filters (<< 4.0):
+# Debian: was in Lenny, can be removed in Wheezy
+# Ubuntu: was in Hardy, can be removed in Lucid
 Breaks: foomatic-filters (<< 4.0)
+Provides: foomatic-db
 Conflicts: foomatic-db, foomatic-db-hpijs
 Replaces: foomatic-db, foomatic-db-hpijs
 Description: OpenPrinting printer support - Compressed PPDs derived from the database
@@ -52,13 +97,22 @@
 
 Package: openprinting-ppds
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, xz-utils
-Recommends: foomatic-filters, cups, cups-client
+Depends: ${misc:Depends},
+         python,
+         xz-utils
+Recommends: foomatic-filters,
+            cups,
+            cups-client
 Suggests: hpijs-ppds
-Replaces: openprinting-ppds-extra (<< 20100806-0ubuntu6), linuxprinting.org-ppds, hp-ppd (<= 0.5)
-Breaks: hp-ppd (<= 0.5)
-Provides: linuxprinting.org-ppds
-Conflicts: openprinting-ppds-extra (<< 20100806-0ubuntu6), linuxprinting.org-ppds
+# linuxprinting.org-ppds:
+# Debian: was in Lenny, can be removed in Wheezy
+# Ubuntu: was in Jaunty, can be removed in Lucid + 1 LTS
+# openprinting-ppds-extra:
+# Debian: was in Squeeze, can be removed in Wheezy + 1
+# Ubuntu: was in Hardy, can be removed in Lucid + 1 LTS
+Provides: linuxprinting.org-ppds, openprinting-ppds-extra
+Conflicts: linuxprinting.org-ppds, openprinting-ppds-extra (<< 20100806-0ubuntu6)
+Replaces: linuxprinting.org-ppds, openprinting-ppds-extra (<< 20100806-0ubuntu6)
 Description: OpenPrinting printer support - PostScript PPD files
  This package includes a collection of free PostScript Printer Description
  files for PostScript (and clone) printers from various manufacturers, as
@@ -77,7 +131,7 @@
 
 Package: openprinting-ppds-extra
 Architecture: all
-Depends: openprinting-ppds
+Depends: openprinting-ppds, ${misc:Depends}
 Description: Transitional package
  This dummy package is provided for a smooth transition from the previous
  openprinting-ppds-extra package (the package's content is merged into
