=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,16 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/mygzip
-	rm -f debian/local/pyppd/*/*.pyc
-	rm -f debian/local/pyppd/pyppd-ppdfile
+	rm -f pyppd-ppdfile
 	rm -rf foomatic
 
 override_dh_install:
 	# Some files have the executable bit set.
-	find debian/tmp/ -executable -type f -print0 | xargs -0 chmod -x
+	- find debian/tmp/ -executable -type f -print0 | xargs -0 chmod -x
 
 	# Remove non-PPD files from PPD repositories, CUPS 1.4 reports errors
 	# on these files.
-	find $(CURDIR)/debian/tmp/usr/share/foomatic/db/source/PPD -type f \! -name '*.ppd.gz' -print0 | xargs -0 rm
+	- find $(CURDIR)/debian/tmp/usr/share/foomatic/db/source/PPD -type f \! -name '*.ppd.gz' -print0 | xargs -0 rm
 
 	# Remove entries for drivers never shipped in Debian nor in Ubuntu
 	( cd $(CURDIR)/debian/tmp/usr/share/foomatic/db/source/driver; \
@@ -52,16 +51,15 @@
 	# Compress the PPD files with Vitor Baptista's pyppd PPD
 	# archiving tool. This makes the space needed for PPDs at least
 	# 10 times smaller.
-	(cd debian/local/pyppd/ && \
-	  PYTHONPATH=. bin/pyppd $(CURDIR)/debian/openprinting-ppds/usr/share/ppd/openprinting && \
-	  install -D -m 755 pyppd-ppdfile $(CURDIR)/debian/openprinting-ppds/usr/lib/cups/driver/openprinting-ppds && \
-	  rm -rf $(CURDIR)/debian/openprinting-ppds/usr/share/ppd && \
-	  rm -f pyppd-ppdfile && \
-	  PYTHONPATH=. bin/pyppd $(CURDIR)/foomatic && \
-	  install -D -m 755 pyppd-ppdfile $(CURDIR)/debian/foomatic-db-compressed-ppds/usr/lib/cups/driver/foomatic-db-compressed-ppds && \
-	  rm -rf $(CURDIR)/foomatic && \
-	  rm -f pyppd-ppdfile && \
-	  rm -f */*.pyc \
+	( mkdir -p $(CURDIR)/debian/openprinting-ppds/usr/lib/cups/driver/ && \
+	  pyppd --output=$(CURDIR)/debian/openprinting-ppds/usr/lib/cups/driver/openprinting-ppds \
+	        $(CURDIR)/debian/openprinting-ppds/usr/share/ppd/openprinting && \
+	  rm -rf $(CURDIR)/debian/openprinting-ppds/usr/share/ppd \
+	)
+	( mkdir -p $(CURDIR)/debian/foomatic-db-compressed-ppds/usr/lib/cups/driver/ && \
+	  pyppd --output=$(CURDIR)/debian/foomatic-db-compressed-ppds/usr/lib/cups/driver/foomatic-db-compressed-ppds \
+	        $(CURDIR)/foomatic && \
+	  rm -rf $(CURDIR)/foomatic \
 	)
 
 	# Install the apport hook on Ubuntu and derivatives
