## foomatic-db 20110803

=== debian/changelog ===
foomatic-db (20110803-1) unstable; urgency=low

  * New upstream release
     - Added 8 new Epson inkjet printers, 6 new Lexmark printers, and
       5 new printers from Ricoh and OEM, entries and PPD files
       supplied by the printer's manufacturers.
     - Added the Epson LX-300+ and the Dell 3000cn based on user reports
       (LP: #776326).
     - Added "-dNOINTERPOLATE" to the Ghostscript command lines, as this makes
       Ghostscript significantly faster (LP: #668800, Ghostscript bug #691755).
     - Renamed the choice names of the manufacturer-independent "InputSlot"
       options to not use tray numbers any more as the tray numbering varies
       with the manufacturer (Closes: #530600).
     - Fixes in the XML schema files which describe the format of the Foomatic
       XML files.
     - Install the XML schema files, to be used by the new foomatic-verify-xml
       utility in foomatic-db-engine.
     - Several fixes in the Foomatic XML files, many discovered during the
       development work on foomatic-db-engine in the Google Summer of Code. 
 
  [ Till Kamppeter ]
  * debian/foomatic-db.install: Include XML schema files in the foomatic-db
    package.
  * debian/rules: Moved apport hook into the foomatic-db-compressed-ppds
    package as this package is usually installed.

  [ Didier Raboud ] 
  * Merge from Ubuntu: 
    - Drop foomatic-db-xml leftovers.
    - Document and clean the dependencies around -db-xml.
  * Uploaders update:
    - Drop Chris Lawrence, with his consent and great thanks for the 6 years
      of work on foomatic-db.
    + Add Till Kamppeter.

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Aug 2011 21:29:22 +0200

foomatic-db (20110617-1) unstable; urgency=low

  * New upstream release
    - Renamed choices of the manufacturer-independent "InputSlot" options so
      that they do not use tray numbers any more. The tray numbering varies
      from manufacturer to manufacturer (Closes: #530600).
  * Add c2esp as suggestion to foomatic-db-* as it went out of NEW.

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jun 2011 16:19:38 +0200

foomatic-db (20110520-1) unstable; urgency=low

  * New upstream release
    - Added Brother HL-2040 (LP: #768727).
    - Added the new "rastertosag-gdi" driver and the printers which use it:
      Ricoh Aficio SP 1000S and SP 1100S (LP: #700141).
    - Added custom page size to the PageSize option of many drivers. Most
      printers are capable of taking arbitrary page sizes and in addition, we
      cannot be sure that we have enumerated all possible page sizes for all
      printers (LP: #726397).
    - Added new "c2esp" driver entry for Kodak inkjet printers and some Kodak
      inkjets which possibly work with this driver.
    - Added 88 new Postscript and 76 new PCL-XL PPD files for Ricoh Family
      Group.
    - Updated 629 existing PCL-XL PPD files to add new paper size support.
  * Bump Standards-Version to 3.9.2.0 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Fri, 20 May 2011 14:40:25 +0200
