=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
-Uploaders: Chris Lawrence <lawrencc@debian.org>, Didier Raboud <odyx@debian.org>
+Uploaders: Didier Raboud <odyx@debian.org>, Till Kamppeter <till.kamppeter@gmail.com> 
 Build-Depends: debhelper (>> 7.0.50),
                pyppd,
                foomatic-db-engine (>= 4.0.5-0ubuntu5)
 Homepage: http://www.openprinting.org/
 Vcs-Git: git://git.debian.org/collab-maint/foomatic-db.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/foomatic-db.git
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 
 Package: foomatic-db
 Architecture: all
@@ -32,14 +32,19 @@
           openprinting-ppds,
           cjet,
           c2050,
-          ptouch-driver
-Breaks: foomatic-filters (<< 4.0)
+          ptouch-driver,
+          c2esp
+# 20110520 introduces printers needing the following drivers, yet to be packaged:
+# rastertosag-gdi
 # foomatic-db-hpijs:
 # Debian: was in Lenny, can be removed in Wheezy
 # Ubuntu: was in Jaunty, can be removed in Lucid + 1 LTS
-Replaces: foomatic-db-hpijs
-Provides: foomatic-db-hpijs
+# foomatic-db-xml
+# Ubuntu: was once during oneiric, can be removed in oneiric + 1, think about dropping the Provides too.
+Replaces: foomatic-db-hpijs, foomatic-db-xml
+Provides: foomatic-db-hpijs, foomatic-db-xml
 Conflicts: foomatic-db-hpijs
+Breaks: foomatic-filters (<< 4.0), foomatic-db-xml
 Description: OpenPrinting printer support - database
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).
@@ -74,11 +79,12 @@
           openprinting-ppds,
           cjet,
           c2050,
-          ptouch-driver
+          ptouch-driver,
+          c2esp
 # foomatic-filters (<< 4.0):
 # Debian: was in Lenny, can be removed in Wheezy
 # Ubuntu: was in Hardy, can be removed in Lucid
-Breaks: foomatic-filters (<< 4.0)
+Breaks: foomatic-filters (<< 4.0), foomatic-db
 Provides: foomatic-db
 Conflicts: foomatic-db, foomatic-db-hpijs
 Replaces: foomatic-db, foomatic-db-hpijs
