=== debian/rules ===
--- 
+++ 
@@ -64,5 +64,5 @@
 
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
-	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foomatic-db/usr/share/apport/package-hooks/source_foomatic-db.py
+	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foomatic-db-compressed-ppds/usr/share/apport/package-hooks/source_foomatic-db.py
 endif
