## foomatic-db 20110831

=== debian/changelog ===
foomatic-db (20110831-0ubuntu3) oneiric; urgency=low

  * debian/patches/samsung-ml-2570-recommend-hpijs-pcl5e.patch: Assigned also
    PCL-5e drivers to the Samsung ML-2570 and recommended the PCL-5e driver
    "hpijs-pcl5e" as (at least some copies of) the printer has problems with
    the PostScript and PCL-XL drivers (LP: #855412).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 23 Sep 2011 21:35:03 +0200

foomatic-db (20110831-0ubuntu2) oneiric; urgency=low

  * debian/patches/canon-bj-330-dot-matrix-page-sizes.patch: Use the special
    PageSize option for dot-matrix printers for the Canon BJ-330, as it has a
    paper handling like a dot-matrix printer (LP: #854983).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Sep 2011 20:27:03 +0200

foomatic-db (20110831-0ubuntu1) oneiric; urgency=low

  * New upstream release
     - The Lexmark E120n does not work in PostScript mode when using
       generic PostScript PPD files. Updated comment and removed support
       by "Postscript" driver. Rated down to "Mostly" (LP: #802285).
     - Removed "Halftoning Algorithm" option, it does not work any more
       with current Ghostscript (LP: #659398).
     - Updated entry for the Lexmark E230: Added Device ID, support by
       PCL-5e drivers (LP: #821818).
     - Added the Brother HL-2070N (LP: #778620).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 31 Aug 2011 16:21:03 +0200

foomatic-db (20110803-3) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/rules: Make sure that NUMJOBS is always defined. Otherwise the
    command line of foomatic-compiledb gets messed up. Also use more standard
    directory names for the collection of pre-built PPDs.
  * debian/foomatic-db-compressed-ppds.ppd-updater,
    debian/openprinting-ppds.ppd-updater: Content of the two files was the
    wrong way around. Corrected.

 -- Didier Raboud <odyx@debian.org>  Sat, 20 Aug 2011 02:03:01 +0200

foomatic-db (20110803-2) unstable; urgency=low

  * Replace the PPD-updater postinsts by CUPS' triggers.
    - Breaks against too old cups versions.
    - Add ppd-updater files, to trigger with parameters.
  * Use the new dh_pyppd.
    - Version Build-Depends to pyppd.
    - Install PPDs to the packages before the dh_pyppd calls.
    - Replace explicit Depends by ${misc:Depends}.
  * Drop the now-unnecessary tweak for better PPDs compression.
  * Install pre-processed PPDs directly in the foomatic-db-compressed-ppds
    directory.
    - This spares one big move of too many files.
  * Compile the PPDs with no more jobs than specified in DEB_BUILD_OPTIONS,
    per policy.

 -- Didier Raboud <odyx@debian.org>  Fri, 19 Aug 2011 15:07:00 +0200
