=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>, Till Kamppeter <till.kamppeter@gmail.com> 
 Build-Depends: debhelper (>> 7.0.50),
-               pyppd,
+               pyppd (>= 0.4.9-4~),
                foomatic-db-engine (>= 4.0.5-0ubuntu5)
 Homepage: http://www.openprinting.org/
 Vcs-Git: git://git.debian.org/collab-maint/foomatic-db.git
@@ -44,7 +44,7 @@
 Replaces: foomatic-db-hpijs, foomatic-db-xml
 Provides: foomatic-db-hpijs, foomatic-db-xml
 Conflicts: foomatic-db-hpijs
-Breaks: foomatic-filters (<< 4.0), foomatic-db-xml
+Breaks: foomatic-filters (<< 4.0), foomatic-db-xml, cups (<< 1.5.0-3~)
 Description: OpenPrinting printer support - database
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).
@@ -58,9 +58,7 @@
 
 Package: foomatic-db-compressed-ppds
 Architecture: all
-Depends: ${misc:Depends},
-         python,
-         xz-utils
+Depends: ${misc:Depends}
 Recommends: foomatic-db-engine,
             foomatic-filters (>= 4.0),
             ghostscript,
@@ -84,7 +82,7 @@
 # foomatic-filters (<< 4.0):
 # Debian: was in Lenny, can be removed in Wheezy
 # Ubuntu: was in Hardy, can be removed in Lucid
-Breaks: foomatic-filters (<< 4.0), foomatic-db
+Breaks: foomatic-filters (<< 4.0), foomatic-db, cups (<< 1.5.0-3~)
 Provides: foomatic-db
 Conflicts: foomatic-db, foomatic-db-hpijs
 Replaces: foomatic-db, foomatic-db-hpijs
@@ -103,13 +101,12 @@
 
 Package: openprinting-ppds
 Architecture: all
-Depends: ${misc:Depends},
-         python,
-         xz-utils
+Depends: ${misc:Depends}
 Recommends: foomatic-filters,
             cups,
             cups-client
 Suggests: hpijs-ppds
+Breaks: cups (<< 1.5.0-3~)
 # linuxprinting.org-ppds:
 # Debian: was in Lenny, can be removed in Wheezy
 # Ubuntu: was in Jaunty, can be removed in Lucid + 1 LTS
